<?php

/**
 * Contains MultiStepFormInterface
 */

namespace Drupal\multistep_form_framework\Form;

interface MultiStepFormInterface {
    /**
	 * Returns the ID of the AJAX form wrapper element.
	 *
	 * @return string
	 */
	function getAjaxWrapperId();
	
    /**
	 * Returns the Ajax Callback Function.
	 *
	 * @return reference
	 */
	function getAjaxCallback();
	
	/**
	 * Returns the inital FormStep namespace path.
	 *
	 * @return string
	 */
	function getInitialFormStep();
	
    /**
	 * Returns if the form is AJAX enabled.
	 *
	 * @return boolean
	 */
	function isAjaxForm();
}