<?php

/**
 * Contains FormStepBase.
 */

namespace Drupal\multistep_form_framework\FormStep;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\multistep_form_framework\Form\MultiStepFormInterface;

abstract class FormStepBase extends FormBase implements FormStepInterface{
	/**
	 * Parent MultiStepForm
	 *
	 * @var MultiStepFormInterface
	 */
	protected $multiStepForm;
	
	/**
	 * Returns MultiStepForm which instantiated this FormStep.
	 *
	 * @return MultiStepFormInterface
	 */
	public function getMultiStepForm() {
		return $this->multiStepForm;
	}
	
	public function setMultiStepForm(MultiStepFormInterface $multiStepForm) {
		$this->multiStepForm = $multiStepForm;
	}
	
	/**
	 * @{inheritdoc}
	 */
	public function buildForm(array $form, FormStateInterface $form_state) {}
	
	/**
	 * @{inheritdoc}
	 */
	public function validateForm(array &$form, FormStateInterface $form_state) {}
	
	/**
	 * @{inheritdoc}
	 */
	public function submitForm(array &$form, FormStateInterface $form_state) {}
}